/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.droids.impl;

import java.net.URI;
import java.util.LinkedList;
import junit.framework.Assert;
import org.apache.droids.LinkTask;
import org.apache.droids.robot.walker.FileTask;
import org.junit.Test;

public class TestSimpleTaskQueueWithHistory
{
  @Test
  public void testOffer() throws Exception
  {
    LinkedList<LinkTask> queue;
    URI	uri;
    LinkTask task;

    queue = new SimpleTaskQueueWithHistory<LinkTask>();
    Assert.assertEquals(0, queue.size());
    uri = new URI("http://www.example.com");
    Assert.assertNotNull(uri);
    task = new LinkTask(null, uri, 1);
    Assert.assertNotNull(task);
    queue.offer(task);
    Assert.assertEquals(1, queue.size());
    queue.offer(task);
    Assert.assertEquals(1, queue.size());
  }
}
